DF(1B)

NAME
df - (BSD) disk free

SYNOPSIS
/usr/local/heirloom/usr/ucb/df [-aihkP] [-M mtab] [-t fstype | file ...]

DESCRIPTION
Df prints file system statistics. A file system is selected by a file it contains, or by its device file, as specified by the file argument. If no file argument is given, statistics are printed for all mounted file systems.

The df command accepts the following options:

-a  Print statistics for all mounted file systems. Normally, file systems with zero block count are omitted.

-i  Print i-node statistics.

-t fstype
    Restrict output to filesystems of type fstype.

The following options have been introduced by POSIX.2:

-P  Select the portable (POSIX) output format. Changes the default size unit to a block consisting of 512 bytes.

-k  If combined with the -P option, the size unit is changed from blocks to kbytes.

The following options are extensions:

-h  Prints the sizes in human-readable powers of 1024, i.e. `K' for kilobyte, `M' for megabyte, `G' for gigabyte, `T' for terabyte, `P' for petabyte, and `E' for exabyte.

-M mtab
    Use the specified mtab file to get a list of mounted filesystems.

FILES

/etc/mtab
    default mount table

SEE ALSO
find(1), statvfs(2), mtab(5), mount(8)

NOTES

This df implementation cannot handle unmounted file systems.

Some advanced file system designs allocate i-nodes dynamically. Df then tries to estimate free and total counts of available files. This is currently done for the reiserfs file system.